diff doc/update_copyright.sh @ 0:13530e1f02e3

Initial files imported
author Sebastien Decugis <sdecugis@nict.go.jp>
date Fri, 28 Aug 2009 19:14:42 +0900
parents
children d52832097f42
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/doc/update_copyright.sh	Fri Aug 28 19:14:42 2009 +0900
@@ -0,0 +1,33 @@
+#!/bin/bash -x
+
+# This script will search all waaad copyrights from source files, and update these if 
+# the waaad source was modified later.
+
+if [ ! -f waaad/waaad-internal.h ];
+then echo "This script must be run from waaad top directory"
+exit 1;
+fi;
+
+# Create a clean working copy
+TMPDIR=`mktemp -d up_cop.XXXXXXX` || exit 1
+hg clone . $TMPDIR/waaad || exit 1
+pushd $TMPDIR/waaad
+
+# Now, for each file
+for SRC_FILE in `find . -name .hg -prune -or -type f -exec grep -q 'Copyright (c) 20.., WIDE Project and NICT' {} \; -print`;
+do 
+HG_YEAR=`hg log --template '{date|shortdate}' $SRC_FILE | tr - ' ' | awk '{print \$1}'`
+CPY_YEAR=`grep 'Copyright (c) 20.., WIDE Project and NICT' $SRC_FILE | awk '{print substr(\$4, 1, 4) }'`
+if [ $HG_YEAR -gt $CPY_YEAR ];
+then
+echo "Updating copyright $CPY_YEAR -> $HG_YEAR in $SRC_FILE";
+sed -i -e "s/Copyright (c) $CPY_YEAR, WIDE Project and NICT/Copyright (c) $HG_YEAR, WIDE Project and NICT/" $SRC_FILE
+fi;
+done
+
+hg commit -m"Updated copyright information"
+hg push
+popd
+rm -rf $TMPDIR
+hg update
+
"Welcome to our mercurial repository"